{% extends "base.html" %}

{% block title %}Add a Task{% endblock %}

{% block content %}
	
	<div class = "container my-3">
		<h1 class = "text-center">Add a Task</h1>
		<div class = "row mt-2">
			<div class = "col-6 offset-3">

				{% if error == True %}
					<p class = "text-danger mt-2">You already have a pending task with this name.</p>
				{% endif %}
				<form action="{% url 'todolist:add_task' %}" method="POST">

                    {% csrf_token %}

                    <div class="mb-3">
                        <label for="task_name">Task Name:</label>
                        <input 
                        	class="form-control" 
                        	id="task_name" 
                        	type="text" 
                        	name="task_name" 
                        	value="{{task_name}}" 
                        	maxlength="50" 
                        	required
                        	>
                    </div>

                    <div class="mb-3">
                        <label for="description">Description:</label>
                        <textarea class="form-control" name="description" value="{{description}}" required></textarea>
                    </div>

                    <div class="text-center">
                        <input 
                        	class="btn btn-success" 
                        	type="submit" 
                        	value="Add Task"
                        	>
                    </div>

                </form>
			</div>
		</div>
	</div>

{% endblock %}